INCLUDES = $(all_includes)

SUBDIRS = pics

bin_PROGRAMS = ktip
ktip_SOURCES = ktipwindow.cpp
ktip_LDADD = $(LIB_KDECORE) $(LIB_KDEUI) $(all_libraries) $(KDE_RPATH)

METASOURCES = AUTO
KDE_ICON = AUTO

desktop_DATA = ktip.desktop
desktopdir = $(kde_appsdir)/Utilities

autostart_DATA = ktip.desktop
autostartdir = $(prefix)/share/autostart

install-data-local: uninstall.desktop
	$(mkinstalldirs) $(DESTDIR)$(kde_appsdir)/Toys
	$(INSTALL_DATA) $(srcdir)/uninstall.desktop $(DESTDIR)$(kde_appsdir)/Toys/ktip.desktop

messages: 
	perl ./preparetips > tips.cpp
	$(XGETTEXT) *.cpp -o $(podir)/ktip.pot
	rm -f tips.cpp

data_DATA = tips
datadir=$(kde_datadir)/kdewizard

